#include "hmg.ch"

*----------------------------------------------------------------*
#define CRLF               Chr(13)+Chr(10)
*----------------------------------------------------------------*
#define TTI_NONE                  0
#define TTI_INFO                  1
#define TTI_WARNING               2
#define TTI_ERROR                 3
*----------------------------------------------------------------*
#define TTI_INFO_LARGE            4
#define TTI_WARNING_LARGE         5
#define TTI_ERROR_LARGE           6
*----------------------------------------------------------------*
#define TTI_STOP                  7
#define TTI_STOP_LARGE            8
*----------------------------------------------------------------*

*----------------------------------------------------------------*
Function View_Total()
*----------------------------------------------------------------*

*-------------------------------------*
 REQUEST DBFCDX, DBFFPT
 RDDSETDEFAULT( "DBFCDX" )
*-------------------------------------*
  REQUEST HB_CODEPAGE_ESWIN     
  HB_SETCODEPAGE("ESWIN")    
 
  REQUEST HB_LANG_ES   
  HB_LANGSELECT("ES")  
*-------------------------------------*
   SET CENTURY ON 
   SET DATE FRENCH 
   SET ESCAPE ON
   SET DELETE ON
   SET NAVIGATION EXTENDED
   SET LANGUAGE TO SPANISH
   SET BROWSESYNC ON	
   SET TOOLTIPSTYLE BALLOON
   SET TOOLTIPCUSTOMDRAW ON
*-------------------------------------------------------------*
  PRIVATE cCurrentFormQ  := 'Form_1Q'
  PRIVATE cToolTipTitleQ := SPACE(2)+"New Action"+SPACE(4)  
*-------------------------------------------------------------*
  PUBLIC m_ver, p_GetFile , fichNew ,  nValor      
  PRIVATE  MWinCol , MWinRow 
*-------------------------------------------------------------*      
  nValor = 0

  DIRCHANGE(cFolder)

  MWinCol :=  GetDesktopWidth()  + 17
  MWinRow :=  GetDesktopHeight() + 05

            DEFINE WINDOW Form_1Q    ;
                AT 0,0               ;
                WIDTH  MWinCol       ;
                HEIGHT MWinRow       ;
                TITLE SPACE(5)+'Pictures Files m3u - 2016' ;    
                ICON 'Logo'          ; 
                CHILD  NOMINIMIZE    ;  
                ON INIT Play_Movie_1()  

                ON KEY ESCAPE ACTION Form_1Q.Release  

                DEFINE TIMER Timer_1Q INTERVAL 1000  ACTION (RELEASE MEMORY)

                DEFINE MAIN MENU
			POPUP "Test"
                                MENUITEM "Select Picture"  ACTION ( Form_1Q.Test.Object:controls:pause() , ButVisible_NO() , Find_Movie_1() ) ;
                                                                                                           IMAGE "resource\View.bmp"
                                MENUITEM "View Pictures "  ACTION Play_Movie_1()                           IMAGE "resource\Maquina.bmp"  
                        SEPARATOR                 
                                MENUITEM "Exit" ACTION Form_1Q.Release                                     IMAGE "resource\Exit.bmp"  
			END POPUP 			
		END MENU

                DEFINE IMAGE Fondo_1Q  
                       ROW      090   
                       COL      025   
                       WIDTH    105 
                       HEIGHT   085 
                       PICTURE 'Resource\Maquina1.jpg'  
                       VISIBLE .T.
                       STRETCH .T.
                END IMAGE


               DEFINE IMAGE Fondo_2Q  
                       ROW      090
                       COL      MWinCol -150  
                       WIDTH    105 
                       HEIGHT   085  
                       PICTURE 'Resource\Maquina1.jpg' 
                       VISIBLE .T.
                       STRETCH .T.
                END IMAGE


                @190,0032 LABEL Lab_01   WIDTH 105  HEIGHT 30 Value "Picture 'jpg'" FONT "Aria" SIZE 14

                @190,1233 LABEL Lab_02   WIDTH 105  HEIGHT 30 Value "Picture 'png'" FONT "Aria" SIZE 14

                           
                DEFINE ACTIVEX Test
			ROW 030 
			COL 150  
			WIDTH  MWinCol -320  
			HEIGHT MWinRow -220  
			PROGID "WMPlayer.OCX.7"  
		END ACTIVEX
 
               
*----------------------------------------------------------------------------------------------------------------------*  

      DEFINE BUTTON Button_01
        ROW    605
        COL    220 
        WIDTH  040
        HEIGHT 040
        CAPTION "" 
        ACTION  ( Form_1Q.Test.Object:controls:play() )  
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(7) +"Render"  
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Play.bmp"   
        PICTALIGNMENT LEFT
     END BUTTON
 
      DEFINE BUTTON Button_02
        ROW    605
        COL    260
        WIDTH  040
        HEIGHT 040
        CAPTION ""
        ACTION  ( Form_1Q.Test.Object:controls:pause() )         
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(7) +"Pause"
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Pause.Bmp"   
        PICTALIGNMENT LEFT
     END BUTTON
    
      DEFINE BUTTON Button_03
        ROW    605
        COL    300
        WIDTH  040
        HEIGHT 040
        CAPTION "" 
        ACTION  ( Form_1Q.Test.Object:controls:Stop() )  
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(10) +"Stop"
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Stop1.bmp"
        PICTALIGNMENT LEFT
     END BUTTON

      DEFINE BUTTON Button_04
        ROW    605
        COL    340
        WIDTH  040
        HEIGHT 040
        CAPTION "" 
        ACTION  ( Form_1Q.Test.Object:uiMode :="none" )  
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(3) +"Without Controls" 
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Buto_6.bmp"
        PICTALIGNMENT LEFT
     END BUTTON

     DEFINE BUTTON Button_05
        ROW    605
        COL    380
        WIDTH  040
        HEIGHT 040
        CAPTION "" 
        ACTION ( Form_1Q.Test.Object:uiMode := "full"  )  
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(5) +"With Controls" 
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Buto_7.bmp"
        PICTALIGNMENT LEFT
     END BUTTON

      DEFINE BUTTON Button_06
        ROW    605
        COL    420
        WIDTH  040
        HEIGHT 040
        CAPTION "" 
        ACTION (Form_1Q.Test.Object:controls:Previous() )	
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(7) +"Previous" 
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Previous.bmp"
        PICTALIGNMENT LEFT
     END BUTTON

     DEFINE BUTTON Button_07
        ROW    605
        COL    460
        WIDTH  040
        HEIGHT 040
        CAPTION "" 
        ACTION (Form_1Q.Test.Object:controls:Next() )
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(11) +"Next" 
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Next.bmp"
        PICTALIGNMENT LEFT
     END BUTTON

     DEFINE BUTTON Button_08
        ROW    605
        COL    500  
        WIDTH  040
        HEIGHT 040
        CAPTION "" 
        ACTION ( Form_1Q.Test.Object:Fullscreen := .T. )    
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(8) +"Fullscreen"
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\But_01.bmp"
        PICTALIGNMENT LEFT
     END BUTTON

 *------------------------------------------------------------------*

     DEFINE BUTTON Button_09
        ROW    605
        COL    647  
        WIDTH  127
        HEIGHT 045
        CAPTION SPACE(5)-"Select Picture"
        ACTION  ( Form_1Q.Test.Object:controls:pause() , ButVisible_NO() , Find_Movie_1() )  
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(5) +"Select Picture"
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\View.bmp"
        PICTALIGNMENT LEFT
     END BUTTON
    
     DEFINE BUTTON Button_10
        ROW    605
        COL    792  
        WIDTH  127
        HEIGHT 045
        CAPTION SPACE(3)-"View Picture"
        ACTION  Play_Movie_1()   
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(7) +"View Picture"
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Maquina1.bmp" 
        PICTALIGNMENT LEFT
     END BUTTON
    
     DEFINE BUTTON Button_11
        ROW    605
        COL    998
        WIDTH  120
        HEIGHT 045
        CAPTION SPACE(6)-"E&xit"
        ACTION Form_1Q.Release
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP  SPACE(11) +"Exit"
        FONTBOLD .T.
        FONTITALIC .T.
        PICTURE "resource\Exit.bmp" 
        PICTALIGNMENT LEFT
     END BUTTON

    END WINDOW 

     Form_1Q.Test.Object:Settings:mute := .T.
     Form_1Q.Button_10.SetFocus
     
     SET TOOLTIPCUSTOMDRAW FORM &cCurrentFormQ  TITLE cToolTipTitleQ  ICON TTI_STOP 
     SETWINDOWCURSOR ( Form_1Q.Button_01.Handle , "Resource\finger.cur") 

    CENTER WINDOW Form_1Q
    ACTIVATE WINDOW Form_1Q

 Return nil

*------------------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------------------*

*---------------------------------------------------------*
FUNCTION ButVisible_NO()
*---------------------------------------------------------*

  Form_1Q.Button_01.Enabled := .F.
  Form_1Q.Button_02.Enabled := .F.
  Form_1Q.Button_03.Enabled := .F.
  Form_1Q.Button_04.Enabled := .F.
  Form_1Q.Button_05.Enabled := .F.
  Form_1Q.Button_06.Enabled := .F.
  Form_1Q.Button_07.Enabled := .F.
  Form_1Q.Button_08.Enabled := .F.
  Form_1Q.Button_09.Enabled := .F.
  Form_1Q.Button_10.Enabled := .F.
  Form_1Q.Button_11.Enabled := .F.

 Return nil

*---------------------------------------------------------*
FUNCTION ButVisible_SI()
*---------------------------------------------------------*

  Form_1Q.Button_01.Enabled := .T.
  Form_1Q.Button_02.Enabled := .T.
  Form_1Q.Button_03.Enabled := .T.
  Form_1Q.Button_04.Enabled := .T.
  Form_1Q.Button_05.Enabled := .T.
  Form_1Q.Button_06.Enabled := .T.
  Form_1Q.Button_07.Enabled := .T.
  Form_1Q.Button_08.Enabled := .T.
  Form_1Q.Button_09.Enabled := .T.
  Form_1Q.Button_10.Enabled := .T.
  Form_1Q.Button_11.Enabled := .T.

 Return nil

*---------------------------------------------------------*
FUNCTION Play_Movie_1()  
*---------------------------------------------------------*
      dbcloseall()
      Form_1Q.Test.Object:Settings:mute := .T. 
      Form_1Q.Test.Object:Settings:autoStart := .T. 
    
  IF ! FILE("Pictures.m3u")
       MsgStop("File Missing ->'Pictures.m3u","Attention !!!")
       ButVisible_NO()
       Find_Movie_1()  
      Return nil
   ELSE
      Form_1Q.Test.Value:= .T.
      Form_1Q.Test.Object:Settings:autoStart := .T.
      Form_1Q.Test.Object: url := "Pictures.m3u"  
      Return nil
   ENDIF 

 Return nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

#pragma BEGINDUMP

#include <windows.h>
#include "hbapi.h"

HB_FUNC ( SENDMESSAGESTRING )
{
  hb_retnl( (LONG) SendMessage( (HWND) hb_parnl(1), (UINT) hb_parni(2), (WPARAM) hb_parnl(3), (LPARAM) (LPSTR) hb_parc(4) ) );
}

#pragma ENDDUMP

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*












