#include "hmg.ch"

Declare Window Form_1

*-----------------------------------------------------------------------------------*
 Function Busca_Viewry_Print()
*-----------------------------------------------------------------------------------*

 PRIVATE cFolderQ := HB_CurDrive() + ":\" + Alltrim(CurDir())+"\Picture_Back\"
 PRIVATE eRater ,  nFiles_Found 
 
	DEFINE WINDOW Form_4   ;
		AT 0,0         ;
		WIDTH 660      ; 
		HEIGHT 480     ;
		TITLE 'Print Image Form' ;
                ICON "Logo"    ;   
		CHILD NOMINIMIZE NOMAXIMIZE
    
                ON KEY ESCAPE ACTION ThisWindow.Release

               DEFINE TIMER Timer_06 INTERVAL 100 ;
                      ACTION { || thisWindow.Row := 165 , thisWindow.Col := 350 }   //125 }   

    		
		DEFINE MAIN MENU
			POPUP 'File'
                               ITEM 'Select Image/Print' ACTION (  Form_4.Image_13.Picture :=       Getfile ( { {'Files '+SPACE(3)+' *.*', '*.*'  } , ;
                                                                                                                {'Files '+SPACE(3)+'jpg' , '*.jpg'} , ;
                                                                                                                {'Files '+SPACE(3)+'png' , '*.png'} , ;
                                                                                                                {'Files '+SPACE(3)+'bmp' , '*.bmp'} , ;
                                                                                                                {'Files '+SPACE(3)+'gif' , '*.gif'} , ;
                                                                                                                {'Files '+SPACE(3)+'tif' , '*.tif'} } , ;
                                                                                                                'Select File'  , 'Screenshot\' , .F. , .F., 1 ),;  
                                                          FormPrint("FORM_4",.T.,.T.,0,0,630,425)   )   IMAGE "Resource\Search.bmp"
			END POPUP
			POPUP 'Print'
                               ITEM 'Print Window' ACTION FormPrint("FORM_4",.T.,.F.,0,0,630,425)       IMAGE "Resource\hp_print.bmp"
			END POPUP 
                        POPUP 'Delete'
			       ITEM 'Delete Back' ACTION DeletyBack()                                   IMAGE "Resource\Delete.bmp"
			END POPUP        
			POPUP 'Exit'
			       ITEM 'Exit' ACTION ThisWindow.Release                                    IMAGE "Resource\Exit.bmp"
			END POPUP           

		END MENU

		DEFINE IMAGE Image_13
			ROW	3 
			COL	8  
                        WIDTH	630  
			HEIGHT	425  
			PICTURE	'' 
			STRETCH	.F.
		END IMAGE

	END WINDOW

	CENTER WINDOW Form_4
	ACTIVATE WINDOW Form_4 

Return

*----------------------------------------------------------------------------------------*
FUNCTION DeletyBack()
*----------------------------------------------------------------------------------------*

  eRater       :=  (cFolderQ +"*.*")
  nFiles_Found := ADIR(eRater) 
 
  Form_4.Image_13.Hide

  IF nFiles_Found = 0
     MsgInfo( SPACE(4) + "There are no Files Delete", "Attention !!!" ) 
     Form_4.Image_13.Show
     Return 
  ELSE 
    IF MsgYesNo( SPACE(4) + "Total Files: "+ SPACE(4) + STR(nFiles_Found) + CRLF + CRLF +;
             SPACE(5) + "Delete Picture Back ?","Attention !!!" )           
             FileDelete( eRater ) 
             Form_4.Image_13.Show
             Return
    ENDIF
  ENDIF
    Form_4.Image_13.Show
Return

*----------------------------------------------------------------------------------------*
/*
  Author..........: Mr. Grigory Filatov
  Contributions...: Mr. Ciro Vargas Clemov
  Adaptations.....: Mr. BP Dave 
  Adaptations.....: Mr  Esgici
  View -->  http://www.hmgforum.com/viewtopic.php?f=9&t=3196&p=47057&hilit=BP+Dave#p47057            
*/
*----------------------------------------------------------------------------------------*

*----------------------------------------------------------------------------------------*
FUNCTION FormPrint ( cWindowName , lPreview , ldialog , nRow , nCol , nWidth , nHeight )
*----------------------------------------------------------------------------------------*
LOCAL lSuccess
LOCAL TempName 
LOCAL W
LOCAL H
LOCAL HO
LOCAL VO
LOCAL bw , bh , r , tw , th , dc , wdif , hdif , dr
LOCAL ntop , nleft , nbottom , nright

memvar _hmg_printer_name
memvar _hmg_printer_aprinterproperties
memvar _hmg_printer_preview
memvar _hmg_printer_timestamp
memvar _hmg_printer_hdc_bak
memvar _hmg_printer_pagecount
memvar _hmg_printer_copies
memvar _hmg_printer_collate
memvar _hmg_printer_hdc
memvar _hmg_printer_JobName

   if   valtype ( nRow ) = 'U' ;
      .or. ;
       valtype ( nCol )  = 'U' ;
      .or. ;
      valtype ( nWidth ) = 'U' ;
      .or. ;
      valtype ( nHeight ) = 'U' 

      ntop      := -1
      nleft     := -1
      nbottom   := -1
      nright    := -1

   else

      ntop      := nRow
      nleft     := nCol
      nbottom   := nHeight + nRow
      nright    := nWidth + nCol

   endif

   if ValType ( lDialog ) = 'U'
      lDialog   := .F.
   endif

   if ValType ( lPreview ) = 'U'
      lPreview := .F.
   endif

   IF lDialog 

      IF lPreview
        	SELECT PRINTER DEFAULT PREVIEW        ;
 		ORIENTATION PRINTER_ORIENT_LANDSCAPE  ; 
		PAPERSIZE	PRINTER_PAPER_A4      ;   
		QUALITY		PRINTER_RES_MEDIUM 
      ENDIF

   ENDIF

*----------------------------------------------------------------------------------*
   PRIVATE xcName := Form_4.Image_13.Picture
   PRIVATE cNameW := RIGHT(xcName, 4)  

   IF xcName <= SPACE(1)
      MsgStop('File missing','Attention !!!')
      return
   ENDIF 

*-----------------------------------------------------------------------------------*

   TempName :=cFolderQ +"Picture_"+alltrim(str(int(seconds()*100))) + cNameW   && <---- '.jpg'    

   DoMethod( cWindowName, "Capture", TempName, nTop, nCol, nRight-nCol, nBottom-nTop )  

   HO := GETPRINTABLEAREAHORIZONTALOFFSET()
   VO := GETPRINTABLEAREAVERTICALOFFSET()

   W := GETPRINTABLEAREAWIDTH()  - 10 - ( HO * 2 ) 
   H := GETPRINTABLEAREAHEIGHT() - 10 - ( VO * 2 ) 

   if ntop = -1

      bw := GetProperty ( cWindowName , 'Width' ) 
      bh := GetProperty ( cWindowName , 'Height' ) - GetTitleHeight ( GetFormHandle (cWindowName) )

   else

      bw := nright - nleft
      bh := nbottom - ntop

   endif

   r := bw / bh

   tw := 0
   th := 0

   do while .t.

      tw ++   
      th := tw / r 

      if tw > w .or. th > h
         exit
      endif

   enddo

   wdif := w - tw 

   if wdif > 0
      dc := wdif / 2
   else
      dc := 0
   endif

   hdif := h - th 

   if hdif > 0
      dr := hdif / 2
   else
      dr := 0
   endif

   START PRINTDOC

      START PRINTPAGE

         @ VO + 5 + ( ( h - th ) / 2 ) , HO + 5 + ( ( w - tw ) / 2 ) PRINT IMAGE TempName WIDTH tW HEIGHT tH   

      END PRINTPAGE

   END PRINTDOC

RETURN NIL

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

